## org.apache.tools.bzip2
Class CBZip2InputStream

    java.lang.Object
      java.io.InputStream
          org.apache.tools.bzip2.CBZip2InputStream

All Implemented Interfaces:
  BZip2Constants

public class CBZip2InputStream
extends java.io.InputStream
implements BZip2Constants

An input stream that decompresses from the BZip2 format (without the file header chars) to be read as any other stream.

Author:
  Keiron Liddle

Field Summary

Fields inherited from interface org.apache.tools.bzip2.BZip2Constants
`baseBlockSize, G_SIZE, MAX_ALPHA_SIZE, MAX_CODE_LEN, MAX_SELECTORS, N_GROUPS, N_ITERS, NUM_OVERSHOOT_BYTES, rNums, RUNA, RUNB`

Constructor Summary
`CBZip2InputStream(java.io.InputStream zStream)`

Method Summary
`int` `read()`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CBZip2InputStream

    public CBZip2InputStream(java.io.InputStream zStream)

Method Detail

### read

    public int read()

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.